Subject: Re: Problem with cygwin-1.1.2 gawk-3.0.4 [Was: [ANNOUNCEMENT] Updated: gawk-3.0.4]
From: Christian Jönsson <[email-masked]>
To: "Corinna Vinschen" <[email-masked]>, "Earnie Boyd" <[email-masked]>
Cc: <[email-masked]>
Date: Mon, 26 Jun 2000 15:40:54 +0200

well, the my guess right now is that the problem has with passing of chars
between tcl and gawk. So, in that view, the problem *is* isolated. Earnie suggested
experimenting with escaping and that's what I did. The "resulting, but not equivalent to
unix/linux variants is this:

BASH.EXE-2.04$ less test1.tcl
set awkCode { { print "\" \""; print "\"flow \"" $2;} }

exec awk $awkCode

BASH.EXE-2.04$ 

and the original had this:

BASH.EXE-2.04$ less test1-orig.tcl
set awkCode { { print " "; print "\"flow " $2;} }

exec awk $awkCode

BASH.EXE-2.04$

I got my real problem "solved", I could run my test suite and had some differences
that looked like this:

../../ns test-suite-red.tcl flows_unforced QUIET
3,4c3,4
<
< "flow 1
---
> " "
> "flow "1
21,22c21,22
<
< "flow 2
---
> " "
> "flow "2
39,40c39,40
<
< "flow 3
---
> " "
> "flow "3
Test output differs from reference output

So, I'll leave it at this. There's some kind of problem related to passing chars
between tcl and gawk under cygwin.

Thanks for the help this far.

Cheers,

/ChJ

----- Original Message ----- 
From: "Corinna Vinschen" <[email-masked]>
To: "Christian Jönsson" <[email-masked]>
Cc: <[email-masked]>
Sent: Monday, June 26, 2000 3:29 PM
Subject: Re: Problem with cygwin-1.1.2 gawk-3.0.4 [Was: [ANNOUNCEMENT] Updated: gawk-3.0.4]

> Christian Jönsson wrote:
> > 
> > I have not made any awk script, I think the problem lies in passing some chars between tcl and awk. could be tcl could be gawk, could even by cygwin but that's a guess. In this case, it's either the char " or the " in followed by blank char.
> > 
> > As for trying escaping like you mention below, what do you suggets for the tcl script:
> > 
> > set awkCode { { print " "; } }
> > 
> > exec awk $awkCode
> 
> I would suggest to do what is opportune in that situation:
> 
> Try to ISOLATE the problem. Try calling gawk without using Tcl
> and try calling Tcl without gawk.
> 
> As Chris has already mentioned, tcl/tk has only a bit of Cygwin
> support so you might have problems in interacting, similar to any
> interacting between Cygwin tools and native w32 tools.
> 
> Corinna
> 
> -- 
> Corinna Vinschen
> Cygwin Developer
> Cygnus Solutions, a Red Hat company
> 
> --
> Want to unsubscribe from this list?
> Send a message to [email-masked]
> 

--
Want to unsubscribe from this list?
Send a message to [email-masked]